package a.i.b.a.c.a;

import a.i.b.a.c.f.a;
import a.i.b.a.c.f.b;
import a.i.b.a.c.f.c;
import a.i.b.a.c.f.f;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Map;
import java.util.Set;

public class g$a {
    public final c BaA = avC("Float").ByQ;
    public final c BaB = avC("Double").ByQ;
    public final c BaC = avC("Number").ByQ;
    public final c BaD = avC("Enum").ByQ;
    public final c BaE = avC("Function").ByQ;
    public final b BaF = avC("Throwable");
    public final b BaG = avC("Comparable");
    public final c BaH = avE("CharRange");
    public final c BaI = avE("IntRange");
    public final c BaJ = avE("LongRange");
    public final b BaK = avC("Deprecated");
    public final b BaL = avC("DeprecationLevel");
    public final b BaM = avC("ReplaceWith");
    public final b BaN = avC("ExtensionFunctionType");
    public final b BaO = avC("ParameterName");
    public final b BaP = avC("Annotation");
    public final b BaQ = avG("Target");
    public final b BaR = avG("AnnotationTarget");
    public final b BaS = avG("AnnotationRetention");
    public final b BaT = avG("Retention");
    public final b BaU = avG("Repeatable");
    public final b BaV = avG("MustBeDocumented");
    public final b BaW = avC("UnsafeVariance");
    public final b BaX = avC("PublishedApi");
    public final b BaY = avD("Iterator");
    public final b BaZ = avD("Iterable");
    public final c Bam = avC("Any").ByQ;
    public final c Ban = avC("Nothing").ByQ;
    public final c Bao = avC("Cloneable").ByQ;
    public final b Bap = avC("Suppress");
    public final c Baq = avC("Unit").ByQ;
    public final c Bar = avC("CharSequence").ByQ;
    public final c Bas = avC("String").ByQ;
    public final c Bat = avC("Array").ByQ;
    public final c Bau = avC("Boolean").ByQ;
    public final c Bav = avC("Char").ByQ;
    public final c Baw = avC("Byte").ByQ;
    public final c Bax = avC("Short").ByQ;
    public final c Bay = avC("Int").ByQ;
    public final c Baz = avC("Long").ByQ;
    public final b BbA = avC("ULong");
    public final a BbB = a.n(this.Bbx);
    public final a BbC = a.n(this.Bby);
    public final a BbD = a.n(this.Bbz);
    public final a BbE = a.n(this.BbA);
    public final Set<f> BbF = a.i.b.a.c.n.a.UQ(h.values().length);
    public final Set<f> BbG = a.i.b.a.c.n.a.UQ(h.values().length);
    public final Map<c, h> BbH = a.i.b.a.c.n.a.UP(h.values().length);
    public final Map<c, h> BbI = a.i.b.a.c.n.a.UP(h.values().length);
    public final b Bba = avD("Collection");
    public final b Bbb = avD("List");
    public final b Bbc = avD("ListIterator");
    public final b Bbd = avD("Set");
    public final b Bbe = avD("Map");
    public final b Bbf = this.Bbe.q(f.avX("Entry"));
    public final b Bbg = avD("MutableIterator");
    public final b Bbh = avD("MutableIterable");
    public final b Bbi = avD("MutableCollection");
    public final b Bbj = avD("MutableList");
    public final b Bbk = avD("MutableListIterator");
    public final b Bbl = avD("MutableSet");
    public final b Bbm = avD("MutableMap");
    public final b Bbn = this.Bbm.q(f.avX("MutableEntry"));
    public final c Bbo = avF("KClass");
    public final c Bbp = avF("KCallable");
    public final c Bbq = avF("KProperty0");
    public final c Bbr = avF("KProperty1");
    public final c Bbs = avF("KProperty2");
    public final c Bbt = avF("KMutableProperty0");
    public final c Bbu = avF("KMutableProperty1");
    public final c Bbv = avF("KMutableProperty2");
    public final a Bbw = a.n(avF("KProperty").ehI());
    public final b Bbx = avC("UByte");
    public final b Bby = avC("UShort");
    public final b Bbz = avC("UInt");

    public g$a() {
        AppMethodBeat.i(119097);
        for (h hVar : h.values()) {
            this.BbF.add(hVar.BbZ);
            this.BbG.add(hVar.Bca);
            this.BbH.put(avC(hVar.BbZ.name).ByQ, hVar);
            this.BbI.put(avC(hVar.Bca.name).ByQ, hVar);
        }
        AppMethodBeat.o(119097);
    }

    private static b avC(String str) {
        AppMethodBeat.i(119098);
        b q = g.AZV.q(f.avX(str));
        AppMethodBeat.o(119098);
        return q;
    }

    private static b avD(String str) {
        AppMethodBeat.i(119099);
        b q = g.AZX.q(f.avX(str));
        AppMethodBeat.o(119099);
        return q;
    }

    private static c avE(String str) {
        AppMethodBeat.i(119100);
        c cVar = g.AZY.q(f.avX(str)).ByQ;
        AppMethodBeat.o(119100);
        return cVar;
    }

    private static c avF(String str) {
        AppMethodBeat.i(119101);
        c cVar = j.dXT().q(f.avX(str)).ByQ;
        AppMethodBeat.o(119101);
        return cVar;
    }

    private static b avG(String str) {
        AppMethodBeat.i(119102);
        b q = g.dXQ().q(f.avX(str));
        AppMethodBeat.o(119102);
        return q;
    }
}
